/*
----------------------------------------------------------------
Y. CIURLIK & A. DUCHENE - Projet Compil - M1GMI
-------------------------------------------------------------------
*/
#include "common.h"
#include "liste.h"

trans **matrice;    //Matrice representant l automate
char* alphabet;     //L'alphabet
int nombre_etat;    //Nombre d etats de l automate
int *suppleant;     //Represente les suppleances
int taille_alphabet; //taille de l'alphabet

void addLetterInAlphabet(char);
void addWordInAlphabet(char*);
boolean isInAlphabet(char);
void createMatrix();
void postMatrix();
int isDefinedTransition(int,char);
void createSubstitute();
void setSubstitute(int,int);
void postSubstitute();
trans* addTransition(int,int,char);


